%define upstream_name    CatalystX-SimpleLogin
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Redirect
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CatalystX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Action::REST) >= 0.740.0
BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::ActionRole::ACL)
BuildRequires: perl(Catalyst::Plugin::Authentication)
BuildRequires: perl(Catalyst::Plugin::Session) >= 0.350.0
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Runtime) >= 5.800.130
BuildRequires: perl(Catalyst::View::TT)
BuildRequires: perl(CatalystX::Component::Traits) >= 0.130.0
BuildRequires: perl(CatalystX::InjectComponent)
BuildRequires: perl(Class::Load) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::FormHandler) >= 0.280.10
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::MethodAttributes) >= 0.180.0
BuildRequires: perl(MooseX::RelatedClassRoles) >= 0.4.0
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Common)
BuildRequires: perl(SQL::Translator)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Try::Tiny) >= 0.240.0
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%{?perl_default_filter}

%description
CatalystX::SimpleLogin is an application class role which will inject a
controller which is an instance of the
CatalystX::SimpleLogin::Controller::Login manpage into your application.
This provides a simple login and logout page with the adition of only one
line of code and one template to your application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.190.0-2.mga6
+ Revision: 1023415
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.190.0-1.mga6
+ Revision: 1007369
- update to 0.19

* Tue Feb 02 2016 umeabot <umeabot> 0.180.0-7.mga6
+ Revision: 931374
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-6.mga5
+ Revision: 743259
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.180.0-5.mga5
+ Revision: 732905
- add exclude

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.180.0-3.mga4
+ Revision: 509774
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 364161
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 291636
- update to 0.18

* Fri Sep 16 2011 takashi <takashi> 0.150.0-1.mga2
+ Revision: 144197
- update to 0.15

* Wed Jan 26 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 41249
- mageia rebuild
- imported package perl-CatalystX-SimpleLogin

